Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class ExampleSubscriber

    java.lang.Object
      ExampleSubscriber

All Implemented Interfaces:
  FXPricingListener

    public class ExampleSubscriber

extends java.lang.Object
implements FXPricingListener

Constructor Summary
`ExampleSubscriber()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `onConnect()` Callback for connection.
`void` | `onDisconnect()` Callback for disconnect.
`void` | `onPriceUpdate(FXQuote fxQuote)` Callback for on price updates.
`void` | `onSubscriptionError(java.lang.String currencyPair, java.lang.String message)` Callback for when the server rejects a request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExampleSubscriber

    public ExampleSubscriber()

Method Detail

### onConnect

    public void onConnect()

  Callback for connection.

### onDisconnect

    public void onDisconnect()

  Callback for disconnect.

### onPriceUpdate

    public void onPriceUpdate(FXQuote fxQuote)

  Description copied from interface: `FXPricingListener`
  Callback for on price updates.

  Specified by:
    `onPriceUpdate` in interface `FXPricingListener`
  Parameters:
    `fxQuote` - the FXQuote object containing the currency pair quotation.

### onSubscriptionError

    public void onSubscriptionError(java.lang.String currencyPair,
                                    java.lang.String message)

  Description copied from interface: `FXPricingListener`
  Callback for when the server rejects a request.

  Specified by:
    `onSubscriptionError` in interface `FXPricingListener`
    `message` - the error message.

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD